import { CellText } from '../../types/tableData';
import { ActiveTable } from '../../activeTable';
interface UpdateCellOptions {
    element?: HTMLElement;
    updateTableEvent?: boolean;
    processText?: boolean;
    updateData?: boolean;
}
export declare class CellEvents {
    private static executeUpdateOperation;
    static updateCell(at: ActiveTable, cellText: CellText, rowIndex: number, columnIndex: number, options?: UpdateCellOptions): CellText;
    static setCellToDefaultIfNeeded(at: ActiveTable, rowIndex: number, columnIndex: number, textContainerElement: HTMLElement, updateTableEvent?: boolean): boolean;
    static removeTextIfDefault(at: ActiveTable, rowIndex: number, columnIndex: number, textContainerElement: HTMLElement): void;
}
export {};
//# sourceMappingURL=cellEvents.d.ts.map